Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface ServletRegistration

All Superinterfaces:
  Registration

All Known Subinterfaces:
  ServletRegistration.Dynamic

All Known Implementing Classes:
  ServletHolder.Registration

    public interface ServletRegistration

extends Registration

Interface through which a `Servlet` may be further configured.

Since:
  Servlet 3.0

Nested Class Summary
`static interface` | `ServletRegistration.Dynamic` Interface through which a `Servlet` registered via one of the `addServlet` methods on `ServletContext` may be further configured.

Method Summary
`java.util.Set<java.lang.String>` | `addMapping(java.lang.String... urlPatterns)` Adds a servlet mapping with the given URL patterns for the Servlet represented by this ServletRegistration.
`java.util.Collection<java.lang.String>` | `getMappings()` Gets the currently available mappings of the Servlet represented by this `ServletRegistration`.
`java.lang.String` | `getRunAsRole()` Gets the name of the runAs role of the Servlet represented by this `ServletRegistration`.

Methods inherited from interface javax.servlet.Registration
`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Method Detail

### addMapping

    java.util.Set<java.lang.String> addMapping(java.lang.String... urlPatterns)

  Adds a servlet mapping with the given URL patterns for the Servlet represented by this ServletRegistration.

  If any of the specified URL patterns are already mapped to a different Servlet, no updates will be performed.

  If this method is called multiple times, each successive call adds to the effects of the former.

  Parameters:
    `urlPatterns` - the URL patterns of the servlet mapping
  Returns:
    the (possibly empty) Set of URL patterns that are already mapped to a different Servlet
  Throws:
    `java.lang.IllegalArgumentException` - if `urlPatterns` is null or empty
    `java.lang.IllegalStateException` - if the ServletContext from which this ServletRegistration was obtained has already been initialized

### getMappings

    java.util.Collection<java.lang.String> getMappings()

  Gets the currently available mappings of the Servlet represented by this `ServletRegistration`.

  Any changes to the returned `Collection` must not affect this `ServletRegistration`.

  Returns:
    a (possibly empty) `Collection` of the currently available mappings of the Servlet represented by this `ServletRegistration`

### getRunAsRole

    java.lang.String getRunAsRole()

  Gets the name of the runAs role of the Servlet represented by this `ServletRegistration`.

  Returns:
    the name of the runAs role, or null if the Servlet is configured to run as its caller

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.